(function() {
  var returnHash, returnKeys, urlParams;

  App.Functions.getUrlParameters = function() {
    return urlParams({}, returnHash);
  };

  App.Functions.getUrlParameter = function(param) {
    var params;
    params = App.Functions.getUrlParameters();
    return params[param];
  };

  App.Functions.paramsContain = function(param) {
    var keys;
    keys = urlParams([], returnKeys);
    return _.include(keys, param);
  };

  urlParams = function(vars, fn) {
    var parameters;
    parameters = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    _.each(parameters, function(param) {
      var duo;
      duo = param.split('=');
      return fn(vars, duo);
    });
    return vars;
  };

  returnKeys = function(vars, duo) {
    return vars.push(duo[0]);
  };

  returnHash = function(vars, duo) {
    return vars[duo[0]] = duo[1];
  };

}).call(this);
