(function() {
  var AboutView, ClosureView, PagesController;
  var __hasProp = Object.prototype.hasOwnProperty, __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor; child.__super__ = parent.prototype; return child; };

  PagesController = (function() {

    __extends(PagesController, Backbone.Router);

    function PagesController() {
      PagesController.__super__.constructor.apply(this, arguments);
    }

    PagesController.prototype.routes = {
      "about": "about",
      "closure": "closure"
    };

    PagesController.prototype.about = function() {
      var view;
      view = new App.Views.AboutView();
      return $('article').html(view.render().el);
    };

    PagesController.prototype.closure = function() {
      var view;
      view = new App.Views.ClosureView();
      return $('article').html(view.render().el);
    };

    return PagesController;

  })();

  App.Controllers.Pages = new PagesController;

  AboutView = (function() {

    __extends(AboutView, Backbone.View);

    function AboutView() {
      AboutView.__super__.constructor.apply(this, arguments);
    }

    AboutView.prototype.initialize = function() {
      return this.template = ich.about;
    };

    AboutView.prototype.render = function() {
      $(this.el).html(this.template());
      return this;
    };

    return AboutView;

  })();

  App.Views.AboutView = AboutView;

  ClosureView = (function() {

    __extends(ClosureView, Backbone.View);

    function ClosureView() {
      ClosureView.__super__.constructor.apply(this, arguments);
    }

    ClosureView.prototype.initialize = function() {
      return this.template = ich.closure;
    };

    ClosureView.prototype.render = function() {
      $(this.el).html(this.template());
      return this;
    };

    return ClosureView;

  })();

  App.Views.ClosureView = ClosureView;

}).call(this);
