@App = {
  # Modules to organize backbone MVC
  Views: {},
  Controllers: {},
  Collections: {},
  Models: {},
  Functions: {},

  init: ->
    Backbone.history.start();

    if window.location.hash.length == 0
      # Load default issues controller if the URL contains no #hash tags
      App.Controllers.Issues.issues()

    if App.Functions.paramsContain("auth_token")
      # If url was redirected from github with ?auth_token="", load OAuth controller
      App.Controllers.OAuth.oauth()

    App.Functions.logIn()
}

$ ->
  jQuery.support.cors = true
  App.init()

  $('.nav a').click(->
    $('.nav li').removeClass('active')
    $(this).parent('li').addClass('active')
  )

  $('#logout').click(App.Functions.logOut)