class PagesController extends Backbone.Router
  routes: {
    "about" : "about",
    "closure" : "closure"
  },

  about: ->
    view = new App.Views.AboutView()
    $('article').html(view.render().el)

  closure: ->
    view = new App.Views.ClosureView()
    $('article').html(view.render().el)

App.Controllers.Pages = new PagesController


class AboutView extends Backbone.View
  initialize: ->
    @template = ich.about

  render: ->
    $(@el).html(@template())
    return this

App.Views.AboutView = AboutView


class ClosureView extends Backbone.View
  initialize: ->
    @template = ich.closure

  render: ->
    $(@el).html(@template())
    return this

App.Views.ClosureView = ClosureView