App.Functions.getUrlParameters = ->
  # return object containing url parameters for example ?one=two&three=four will return {one: two, three: four}
  urlParams({}, returnHash)

App.Functions.getUrlParameter = (param) ->
  # check if url contains a parameter
  params = App.Functions.getUrlParameters()
  params[param]

App.Functions.paramsContain = (param) ->
  # check if url includes a parameter
  keys = urlParams([], returnKeys)
  _.include(keys, param)

urlParams = (vars, fn) ->
  # iterate over the parameters in the url and apply function
  parameters = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&')
  _.each(parameters, (param) ->
    duo = param.split('=') # ['key', 'value']
    fn(vars, duo)
  )
  vars

returnKeys = (vars, duo) ->
  vars.push(duo[0])

returnHash = (vars, duo) ->
  vars[duo[0]] = duo[1]